curl --request GET \
--url https://api.tomorro.com/v2/folders \
--header 'x-api-key: <api-key>'import requests
url = "https://api.tomorro.com/v2/folders"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.tomorro.com/v2/folders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tomorro.com/v2/folders",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.tomorro.com/v2/folders"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.tomorro.com/v2/folders")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tomorro.com/v2/folders")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "3f2a1c9e-8b7d-4e6f-9a0b-1c2d3e4f5a6b",
"name": "NDA",
"parentFolderId": "7c8d9e0f-1a2b-4c3d-8e4f-5a6b7c8d9e0f",
"ownerId": "550e8400-e29b-41d4-a716-446655440000",
"createdAt": "2026-10-01T09:00:00.000Z",
"updatedAt": "2026-10-15T14:30:00.000Z"
}
],
"pagination": {
"limit": 20,
"next_cursor": "eyJvZmZzZXQiOjIwfQ",
"prev_cursor": null,
"has_next": true,
"has_previous": false
},
"links": {
"self": "/folders?limit=20&parentFolderId=root",
"next": "/folders?limit=20&after=eyJvZmZzZXQiOjIwfQ&parentFolderId=root",
"prev": null
}
}List folders
Returns the folders the API key owner can access, ordered by name. Rebuild the tree from parentFolderId; a folder whose parent is not accessible to the key owner still carries its real parentFolderId.
curl --request GET \
--url https://api.tomorro.com/v2/folders \
--header 'x-api-key: <api-key>'import requests
url = "https://api.tomorro.com/v2/folders"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.tomorro.com/v2/folders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tomorro.com/v2/folders",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.tomorro.com/v2/folders"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.tomorro.com/v2/folders")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tomorro.com/v2/folders")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "3f2a1c9e-8b7d-4e6f-9a0b-1c2d3e4f5a6b",
"name": "NDA",
"parentFolderId": "7c8d9e0f-1a2b-4c3d-8e4f-5a6b7c8d9e0f",
"ownerId": "550e8400-e29b-41d4-a716-446655440000",
"createdAt": "2026-10-01T09:00:00.000Z",
"updatedAt": "2026-10-15T14:30:00.000Z"
}
],
"pagination": {
"limit": 20,
"next_cursor": "eyJvZmZzZXQiOjIwfQ",
"prev_cursor": null,
"has_next": true,
"has_previous": false
},
"links": {
"self": "/folders?limit=20&parentFolderId=root",
"next": "/folders?limit=20&after=eyJvZmZzZXQiOjIwfQ&parentFolderId=root",
"prev": null
}
}Authorizations
API key for authentication. Get your key at https://app.tomorro.com/settings/integrations?integration=api-key
Query Parameters
Number of items per page (1-50)
1 <= x <= 5020
Cursor for forward pagination. Use the next_cursor value from a previous response.
"eyJpZCI6IjEyMyJ9"
Cursor for backward pagination. Use the prev_cursor value from a previous response.
"eyJpZCI6IjEwMCJ9"
Filter by parent folder. Use root for top-level folders. Formats: parentFolderId=<uuid> (direct children), parentFolderId=root, parentFolderId=in:<uuid>,<uuid>,root.
"root"
Case-insensitive substring match on the folder name.
255"nda"
Filter by last modification date (ISO 8601). Formats: updatedAt=gte:2026-10-01T00:00:00Z, gt:, lte:, lt:.
"gte:2026-10-01T00:00:00Z"
Response
Paginated list of folders
Folders of the current page.
Show child attributes
Show child attributes
[
{
"id": "3f2a1c9e-8b7d-4e6f-9a0b-1c2d3e4f5a6b",
"name": "NDA",
"parentFolderId": "7c8d9e0f-1a2b-4c3d-8e4f-5a6b7c8d9e0f",
"ownerId": "550e8400-e29b-41d4-a716-446655440000",
"createdAt": "2026-10-01T09:00:00.000Z",
"updatedAt": "2026-10-15T14:30:00.000Z"
}
]
Pagination metadata including cursors and navigation flags.
Show child attributes
Show child attributes
{
"limit": 20,
"next_cursor": "eyJvZmZzZXQiOjIwfQ",
"prev_cursor": null,
"has_next": true,
"has_previous": false
}
HATEOAS navigation links for pagination. Active filters are kept in the links.
Show child attributes
Show child attributes
{
"self": "/folders?limit=20&parentFolderId=root",
"next": "/folders?limit=20&after=eyJvZmZzZXQiOjIwfQ&parentFolderId=root",
"prev": null
}